package com.njzscloud.supervisory.bs.mapper;

import com.njzscloud.supervisory.bs.pojo.result.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SupervisionStatisticsMapper {
    DispatchSummary getDispatchSummary();

    YuYueSummary getYuYueSummary();

    Integer getDisposeTotalWeight();

    CarSummary getCarSummary();

    Integer getTodayCarCount();

    List<RegionSummary> getRegionSummary();

    List<CompanySummary> getCompanySummary();

    List<StationInfo> getStationInfo();

    List<Order> getOrders();

    List<Project> getProjects();

}
